Subject: [Xml-sg-cmt] Sourcecode types

From: Sandy Ginoza <[email-masked]>
Date: Wed, 27 Oct 2021 16:24:14 -0700

Hi team,

Just forwarding this message about sourcecode types.

Sandy 

> Begin forwarded message:
> 
> From: Mark Nottingham <[email-masked]>
> Subject: Re: [rfc-i] [Json] sourcecode type="json"
> Date: October 27, 2021 at 4:03:26 PM PDT
> To: Paul Kyzivat <[email-masked]>
> Cc: [email-masked]
> 
> 
>> On 28 Oct 2021, at 2:09 am, Paul Kyzivat <[email-masked]> wrote:
>> 
>>> For http, we use 'http-message', which is defined to be either a full *or* partial message. Remember, this is not a media type...
>> 
>> While its not media type the problem is the same.
> 
> In this case, we use one validator for both forms:
>  https://github.com/mnot/rfc-http-validate
> 
>> Part of the problem is that "sourcecode type" isn't well defined at all. The definition seems to be in RFC 7991 section 2.48.4. The legal values are defined there by enumeration, but also with the following qualification:
>> 
>>  The RFC Series Editor will maintain a complete list of the preferred
>>  values on the RFC Editor web site, and that list is expected to be
>>  updated over time.
>> 
>> Note that this isn't an iana registry, nor does it have any rules for how updates are to be judged. This bothers me.
> 
> I agree. Perhaps this is something the RSWG should take on when it's constituted.
> 
> Cheers,
> 
> 
> --
> Mark Nottingham   https://www.mnot.net/
> 
> _______________________________________________
> rfc-interest mailing list
> [email-masked]
> https://www.rfc-editor.org/mailman/listinfo/rfc-interest
>